package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by herbert on 2018/5/26.
 */
public class DicRequirmentAuditState {
    public static final String AUDITING = "审核中";
    public static final String COLOSED = "已关闭";
    public static final String REJECTED = "审核不通过";
    public static final String ONPROSCESSING = "进行中";
    public static final String OFFSHELVES= "已下架";

    private static DicRequirmentAuditState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicRequirmentAuditState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(AUDITING, AUDITING);
        dicMap.put(COLOSED, COLOSED);
        dicMap.put(REJECTED, REJECTED);
        dicMap.put(ONPROSCESSING, ONPROSCESSING);
        dicMap.put(OFFSHELVES, OFFSHELVES);
    }

    public static DicRequirmentAuditState getInstacne(){
        if (instance == null)
        {
            instance = new DicRequirmentAuditState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
